package b4j.example.designerscripts;
import anywheresoftware.b4a.BA;


public class LS_main{

public static void LS_general(anywheresoftware.b4j.objects.LayoutBuilder.LayoutData views, int width, int height, float scale) {
;
//BA.debugLineNum = 2;BA.debugLine="Pane2.Width = 50%x - 15"[main/General script]
views.get("pane2").setPrefWidth((int)((50d / 100 * width)-15d));
//BA.debugLineNum = 3;BA.debugLine="ScrollPane1.SetLeftAndRight(50%x + 5, 100%x - 10)"[main/General script]
views.get("scrollpane1").setLeft((int)((50d / 100 * width)+5d));
views.get("scrollpane1").setPrefWidth((int)((100d / 100 * width)-10d - ((50d / 100 * width)+5d)));

}
}